GCLOUD_IAM_SERVICE-ACCOUNTS_KEYS_CREATE(1)

NAME

gcloud iam service-accounts keys create - create a private key for a service account

SYNOPSIS

gcloud iam service-accounts keys create OUTPUT-FILE --iam-account IAM_ACCOUNT [--key-file-type KEY_FILE_TYPE; default="json"] [GLOBAL-FLAG ...]

DESCRIPTION
Create a private key for a service account.

POSITIONAL ARGUMENTS
OUTPUT-FILE
    The path where the resulting private key should be written.

REQUIRED FLAGS
--iam-account IAM_ACCOUNT
    The service account for which to create a key.

OPTIONAL FLAGS
--key-file-type KEY_FILE_TYPE; default="json"
    The type of key to create. Can be either "json" or "p12". When unspecified, defaults to "json".

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To create a new private key for a service account, and save a copy of it locally, run:
    $ gcloud iam service-accounts keys create \
        --iam-account my-iam-account@somedomain.com key.json